org.flexdock.plaf.resources.paint

## Interface Painter

All Known Implementing Classes:
  DefaultPainter, EclipseGradientPainter, GradientPainter, MetalPainter, OfficeXPPainter, SkinLFPainter

    public interface Painter

Author:
  Claudio Romano

### Method Summary

Methods
`PainterResource` `getPainterResource()`
`void` `paint(java.awt.Graphics g, int width, int height, boolean active, javax.swing.JComponent titlebar)`
`void` `setPainterResource(PainterResource painterResource)`

### Method Detail

#### paint

    void paint(java.awt.Graphics g,
             int width,
             int height,
             boolean active,
             javax.swing.JComponent titlebar)

#### getPainterResource

    PainterResource getPainterResource()

#### setPainterResource

    void setPainterResource(PainterResource painterResource)